Subject: Re: [PATCH v2] diff-highlight: exit when a pipe is broken

From: Jeff King <[email-masked]>
Date: Tue, 4 Nov 2014 15:09:32 -0500

On Tue, Nov 04, 2014 at 03:01:12PM -0500, John Szakmeister wrote:

> While using diff-highlight with other tools, I have discovered that Python
> ignores SIGPIPE by default.  Unfortunately, this also means that tools
> attempting to launch a pager under Python--and don't realize this is
> happening--means that the subprocess inherits this setting.  In this case, it
> means diff-highlight will be launched with SIGPIPE being ignored.  Let's work
> with those broken scripts by restoring the default SIGPIPE handler.
> 
> Signed-off-by: John Szakmeister <[email-masked]>
> ---
> Incorporates feedback from Jeff King and now we just restore the default signal
> handler using the correct case of 'DEFAULT'.

Thanks, this version looks much simpler. :)

Acked-by: Jeff King <[email-masked]>

-Peff